--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: The GenericComplexExpression acts like a GenericExpression in terms of methods, but has an internal structure of a ComplexExpression. It is used by Object#sql_expr. Since we don't know what specific type of object we are dealing with it, we treat it similarly to how we treat symbols or literal strings, allowing many different types of methods.
constants: []

full_name: Sequel::SQL::GenericComplexExpression
includes: 
- !ruby/object:RI::IncludedModule 
  name: AliasMethods
- !ruby/object:RI::IncludedModule 
  name: BooleanMethods
- !ruby/object:RI::IncludedModule 
  name: CastMethods
- !ruby/object:RI::IncludedModule 
  name: ComplexExpressionMethods
- !ruby/object:RI::IncludedModule 
  name: InequalityMethods
- !ruby/object:RI::IncludedModule 
  name: NumericMethods
- !ruby/object:RI::IncludedModule 
  name: OrderMethods
- !ruby/object:RI::IncludedModule 
  name: StringMethods
- !ruby/object:RI::IncludedModule 
  name: SubscriptMethods
instance_methods: []

name: GenericComplexExpression
superclass: ComplexExpression
